Page MenuHomePhabricator

[lld/mac] Don't warn on -bundle and -execute flags
ClosedPublic

Authored by thakis on Nov 23 2020, 8:02 AM.

Details

Reviewers
int3
Group Reviewers
Restricted Project
Commits
rG78c04fe99ec0: [lld/mac] Don't warn on -bundle and -execute flags
Summary

They've been implemented since D87856 but since they still were
HelpHidden, the driver still warned claiming they were implemented.
Remove HelpHidden.

Use -fatal_warnings to test that the flags now don't warn. The
test depends on D91894 and D91891 to pass.

Diff Detail

Event Timeline

thakis created this revision.Nov 23 2020, 8:02 AM
thakis requested review of this revision.Nov 23 2020, 8:02 AM
int3 accepted this revision.Nov 29 2020, 9:00 PM

thanks for the fix!

maybe we should make %lld expand to include -fatal_warnings going ahead 🤔

This revision is now accepted and ready to land.Nov 29 2020, 9:00 PM
int3 added a reviewer: Restricted Project.Nov 29 2020, 9:00 PM

Please add lld-macho as the group reviewer in the future, that way more people can help review :)

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 30 2020, 1:10 PM

thanks for the fix!

maybe we should make %lld expand to include -fatal_warnings going ahead 🤔

I tried this and found https://reviews.llvm.org/D87199#2423947 :)